Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.web
Class Jetty6WebServer

    java.lang.Object
      org.neo4j.server.web.Jetty6WebServer

All Implemented Interfaces:
  WebServer

    public class Jetty6WebServer

extends Object
implements WebServer

Field Summary
`static Logger` | `log`

Constructor Summary
`Jetty6WebServer()`

Method Summary
`void` | `addJAXRSPackages(List<String> packageNames, String mountPoint)`
`void` | `addServlet(javax.servlet.Servlet unmanagedServlet, String mountPoint)`
`void` | `addStaticContent(String contentLocation, String serverMountPoint)`
`void` | `setMaxThreads(int maxThreads)`
`void` | `setNeoServer(NeoServer server)`
`void` | `setPort(int portNo)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final Logger log

Constructor Detail

### Jetty6WebServer

    public Jetty6WebServer()

Method Detail

### setNeoServer

    public void setNeoServer(NeoServer server)

  Specified by:
    `setNeoServer` in interface `WebServer`

### start

    public void start()

  Specified by:
    `start` in interface `WebServer`

### stop

    public void stop()

  Specified by:
    `stop` in interface `WebServer`

### setPort

    public void setPort(int portNo)

  Specified by:
    `setPort` in interface `WebServer`

### setMaxThreads

    public void setMaxThreads(int maxThreads)

  Specified by:
    `setMaxThreads` in interface `WebServer`

### addJAXRSPackages

    public void addJAXRSPackages(List<String> packageNames,
                                 String mountPoint)

  Specified by:
    `addJAXRSPackages` in interface `WebServer`

### addServlet

    public void addServlet(javax.servlet.Servlet unmanagedServlet,
                           String mountPoint)

  Specified by:
    `addServlet` in interface `WebServer`

### addStaticContent

    public void addStaticContent(String contentLocation,
                                 String serverMountPoint)

  Specified by:
    `addStaticContent` in interface `WebServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.